#
# spec file for package perl-qpid
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-qpid
Version:        0.34
Release:        3.2
Summary:        Perl bindings for the Qpid messaging framework
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://qpid.apache.org/
Source0:        http://www.apache.org/dist/qpid/cpp/%{version}/qpid-cpp-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  qpid-cpp-client-devel = %{version}
BuildRequires:  swig >= 2.0.9
Requires:       perl = %{perl_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl bindings for the Qpid messaging framework.

%prep
%setup -q -n qpid-cpp-%{version}

%build
pushd bindings/qpid/perl
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}
popd

%install
pushd bindings/qpid/perl
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
rm -rf %{buildroot}%{perl_vendorarch}/auto/
popd

%files
%defattr(-,root,root)
%{perl_vendorarch}/*
%doc LICENSE
%{_mandir}/man3/*

%changelog
* Mon Aug 31 2015 fstrba@suse.com
- Update to upstream 0.34
* Wed Mar 25 2015 fstrba@suse.com
- Update to upstream 0.32
* Wed Feb 25 2015 fstrba@suse.com
- Update to upstream 0.30
- Build from the qpid-cpp-0.30 tarball, since upstream changed the
  packaging
* Thu Jul 24 2014 fstrba@suse.com
- Upgrade to upstream version 0.28
- Remove integrated patches:
  * 0001-QPID-5499-Fix-Ruby-Perl-bindings-when-built-with-Wer.patch
  * 0002-QPID-5556-Provide-the-right-Perl-packages-in-top-lev.patch
- Build from the qpid-0.28 tarball, since qpid-perl tarballs are
  not distributed for this version
* Mon Apr 14 2014 fstrba@suse.com
- Upgrade to upstream version 0.26
- New patches from Fedora:
  * 0001-QPID-5499-Fix-Ruby-Perl-bindings-when-built-with-Wer.patch
  * 0002-QPID-5556-Provide-the-right-Perl-packages-in-top-lev.patch
* Mon Sep 30 2013 fridrich.strba@suse.com
- Add BuildRoot line to fix build on older systems
- Depend on oldest swig known to work
* Mon Sep 23 2013 fridrich.strba@suse.com
- Initial package based on Fedora's perl-qpid
